' SELECT-2.BAS
' This program demonstrates the use of CASE ELSE.

CLS

PRINT "Welcome to Golden-Age Television Trivia!"
PRINT "In what year did the top-rated show"
PRINT "I Love Lucy first appear on television?"
PRINT
INPUT "Please enter a year from 1950 to 1959:  ", year%
PRINT

SELECT CASE year%
    CASE 1950
        PRINT "Incorrect.  In 1950, the popular show"
        PRINT "Your Show of Shows made its television debut."
    CASE 1951
        PRINT "Correct!  I Love Lucy first aired in October 1951."
        PRINT "From 1952 through 1954 it was the most popular"
        PRINT "television show in the United States."
    CASE 1952
        PRINT "Incorrect.  In 1952, the popular show"
        PRINT "Dragnet made its television debut."
    CASE 1953
        PRINT "Incorrect.  In 1953, the popular show"
        PRINT "Name That Tune made its television debut."
    CASE 1954
        PRINT "Incorrect.  In 1954, the popular show"
        PRINT "Lassie made its television debut."
    CASE 1955
        PRINT "Incorrect.  In 1955, the popular show"
        PRINT "Gunsmoke made its television debut."
    CASE 1956
        PRINT "Incorrect.  In 1956, the popular show"
        PRINT "Playhouse 90 made its television debut."
    CASE 1957
        PRINT "Incorrect.  In 1957, the popular show"
        PRINT "Leave it to Beaver made its television debut."
    CASE 1958
        PRINT "Incorrect.  In 1958, the popular show"
        PRINT "Peter Gunn made its television debut."
    CASE 1959
        PRINT "Incorrect.  In 1959, the popular show"
        PRINT "The Twilight Zone made its television debut."
    CASE ELSE
        PRINT "You did not enter a number between 1950 and 1959."
        PRINT "Please run the program again and enter an"
        PRINT "appropriate value."
END SELECT

